> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company News



## OpenAPI

````yaml POST /api/v1/backchannel/news/companies
openapi: 3.0.3
info:
  title: Backchannel API
  version: 1.0.0
  description: >-
    API for integrating Tilt market intelligence capabilities, including
    scenarios, topics, company news, company search, and risk analysis.
servers:
  - url: https://tilt.io
    description: Production
security:
  - apiKeyAuth: []
paths:
  /api/v1/backchannel/news/companies:
    post:
      tags:
        - News
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyNewsRequest'
      responses:
        '200':
          description: Company news articles by ISIN
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyNewsResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    CompanyNewsRequest:
      type: object
      properties:
        theme_query:
          type: string
          minLength: 1
        as_of_date:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        isins:
          type: array
          items:
            type: string
        lookback_days:
          type: integer
          minimum: 0
          exclusiveMinimum: true
        limit:
          type: integer
          minimum: 0
          exclusiveMinimum: true
        min_composite_score:
          type: number
          minimum: 0
          maximum: 1
        include_content:
          type: boolean
      required:
        - theme_query
        - as_of_date
    CompanyNewsResponse:
      type: object
      properties:
        success:
          type: boolean
        articles:
          type: array
          items:
            type: object
            additionalProperties:
              nullable: true
        total:
          type: integer
      required:
        - success
        - articles
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````